### Class

# Foundry SymbolIntent

since: 1.1

#### Description [src]

    final class Foundry.SymbolIntent : Foundry.Intent
    {
      /* No available fields */
    }

Represents an intent to navigate to a symbol location.

FoundrySymbolIntent provides functionality for navigating to a symbol location using a `FoundrySymbolLocator` object. It integrates with the intent system to provide a unified interface for symbol navigation operations across different parts of the development environment.

Available since: 1.1

#### Ancestors

- FoundryIntent
- GObject

#### Constructors

###### foundry_symbol_intent_new

Creates a new `FoundrySymbolIntent` for navigating to the symbol location specified by `locator`.

since: 1.1

#### Instance methods

###### foundry_symbol_intent_dup_locator

Gets a copy of the symbol locator object.

since: 1.1

##### Methods inherited from FoundryIntent (10)

###### foundry_intent_dup_attribute_object

Gets the attribute value as a `GObject`. The returned object is owned by the intent and should not be unref’d.

since: 1.1

###### foundry_intent_dup_attribute_string

Gets the attribute value as a string. The returned string is owned by the intent and should not be modified or freed.

since: 1.1

###### foundry_intent_dup_attribute_strv

Gets the attribute value as a string. The returned string is owned by the intent and should not be modified or freed.

since: 1.1

###### foundry_intent_get_attribute_boolean

Gets the attribute value as a boolean.

since: 1.1

###### foundry_intent_get_attribute_type

Gets the `GType` of the attribute value.

since: 1.1

###### foundry_intent_get_attribute_uint

No description available.

###### foundry_intent_get_attribute_value

Gets the attribute value. The returned value is owned by the intent and should not be modified or freed.

since: 1.1

###### foundry_intent_has_attribute

Checks if the intent has an attribute with the given name.

since: 1.1

###### foundry_intent_set_attribute

No description available.

###### foundry_intent_set_attribute_value

Sets an attribute value for the intent. The value is copied.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.SymbolIntent:locator

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundrySymbolIntentClass {
      FoundryIntentClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundryIntentClass`

  No description available.